_Init_MPU:
;MPU_IMU_PIC32_v001.c,52 :: 		void Init_MPU(){
ADDIU	SP, SP, -24
SW	RA, 0(SP)
;MPU_IMU_PIC32_v001.c,55 :: 		dat = 0x6c;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ORI	R2, R0, 108
SB	R2, 20(SP)
;MPU_IMU_PIC32_v001.c,56 :: 		MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_PWR_MGMT_1 , 1, &dat);
ADDIU	R2, SP, 20
MOVZ	R28, R2, R0
ORI	R27, R0, 1
ORI	R26, R0, 107
ORI	R25, R0, 210
JAL	_MPU_I2C_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,57 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU0
NOP	
;MPU_IMU_PIC32_v001.c,59 :: 		dat = 0x00;
SB	R0, 20(SP)
;MPU_IMU_PIC32_v001.c,60 :: 		MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_PWR_MGMT_1 , 1, &dat);      //   MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_PWR_MGMT_1 , 1, 0x00);
ADDIU	R2, SP, 20
MOVZ	R28, R2, R0
ORI	R27, R0, 1
ORI	R26, R0, 107
ORI	R25, R0, 210
JAL	_MPU_I2C_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,61 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU2
NOP	
;MPU_IMU_PIC32_v001.c,63 :: 		dat = 0x69;
ORI	R2, R0, 105
SB	R2, 20(SP)
;MPU_IMU_PIC32_v001.c,64 :: 		MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_FIFO_EN , 1, &dat);         //   MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_FIFO_EN , 1, 0x78);
ADDIU	R2, SP, 20
MOVZ	R28, R2, R0
ORI	R27, R0, 1
ORI	R26, R0, 35
ORI	R25, R0, 210
JAL	_MPU_I2C_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,65 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU4
NOP	
;MPU_IMU_PIC32_v001.c,67 :: 		dat = 0xA1;
ORI	R2, R0, 161
SB	R2, 20(SP)
;MPU_IMU_PIC32_v001.c,68 :: 		MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_INT_ENABLE , 1, &dat);      //     MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_INT_ENABLE , 1, 0x10);
ADDIU	R2, SP, 20
MOVZ	R28, R2, R0
ORI	R27, R0, 1
ORI	R26, R0, 56
ORI	R25, R0, 210
JAL	_MPU_I2C_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,69 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU6:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU6
NOP	
;MPU_IMU_PIC32_v001.c,70 :: 		MPU_I2C_Read (mpu_I2C_ADDR, mpu_rm_ACCEL_CONFIG, 1, &raw_data);
LUI	R28, #hi_addr(_raw_data+0)
ORI	R28, R28, #lo_addr(_raw_data+0)
ORI	R27, R0, 1
ORI	R26, R0, 28
ORI	R25, R0, 210
JAL	_MPU_I2C_Read+0
NOP	
;MPU_IMU_PIC32_v001.c,71 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU8:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU8
NOP	
;MPU_IMU_PIC32_v001.c,72 :: 		raw_data[0] |= 0x18;
LHU	R2, Offset(_raw_data+0)(GP)
ORI	R2, R2, 24
SH	R2, Offset(_raw_data+0)(GP)
;MPU_IMU_PIC32_v001.c,73 :: 		MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_ACCEL_CONFIG, 1, &raw_data[0]);
LUI	R28, #hi_addr(_raw_data+0)
ORI	R28, R28, #lo_addr(_raw_data+0)
ORI	R27, R0, 1
ORI	R26, R0, 28
ORI	R25, R0, 210
JAL	_MPU_I2C_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,74 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU10:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU10
NOP	
;MPU_IMU_PIC32_v001.c,75 :: 		MPU_I2C_Read (mpu_I2C_ADDR, mpu_rm_INT_ENABLE, 1, &raw_data);
LUI	R28, #hi_addr(_raw_data+0)
ORI	R28, R28, #lo_addr(_raw_data+0)
ORI	R27, R0, 1
ORI	R26, R0, 56
ORI	R25, R0, 210
JAL	_MPU_I2C_Read+0
NOP	
;MPU_IMU_PIC32_v001.c,76 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU12:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU12
NOP	
;MPU_IMU_PIC32_v001.c,77 :: 		raw_data[0] |= 0x11;
LHU	R2, Offset(_raw_data+0)(GP)
ORI	R2, R2, 17
SH	R2, Offset(_raw_data+0)(GP)
;MPU_IMU_PIC32_v001.c,78 :: 		MPU_I2C_Write(mpu_I2C_ADDR, mpu_rm_INT_ENABLE, 1, &raw_data[0]);
LUI	R28, #hi_addr(_raw_data+0)
ORI	R28, R28, #lo_addr(_raw_data+0)
ORI	R27, R0, 1
ORI	R26, R0, 56
ORI	R25, R0, 210
JAL	_MPU_I2C_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,79 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Init_MPU14:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Init_MPU14
NOP	
;MPU_IMU_PIC32_v001.c,80 :: 		}
L_end_Init_MPU:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 24
JR	RA
NOP	
; end of _Init_MPU
_Extract_Readings:
;MPU_IMU_PIC32_v001.c,85 :: 		void Extract_Readings() {
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;MPU_IMU_PIC32_v001.c,87 :: 		accel_x_temp = raw_data[0];
LHU	R2, Offset(_raw_data+0)(GP)
SH	R2, Offset(_accel_x_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,88 :: 		accel_x = (float)accel_x_temp / 2048.0;
LH	R4, Offset(_raw_data+0)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R6, 17664
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_accel_x+0)(GP)
;MPU_IMU_PIC32_v001.c,89 :: 		accel_y_temp = raw_data[1];
LHU	R2, Offset(_raw_data+2)(GP)
SH	R2, Offset(_accel_y_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,90 :: 		accel_y = (float)accel_y_temp / 2048.0;
LH	R4, Offset(_raw_data+2)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R6, 17664
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_accel_y+0)(GP)
;MPU_IMU_PIC32_v001.c,91 :: 		accel_z_temp = raw_data[2];
LHU	R2, Offset(_raw_data+4)(GP)
SH	R2, Offset(_accel_z_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,92 :: 		accel_z = (float)accel_z_temp / 2048.0;
LH	R4, Offset(_raw_data+4)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R6, 17664
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_accel_z+0)(GP)
;MPU_IMU_PIC32_v001.c,95 :: 		temp_raw = raw_data[3];
LHU	R2, Offset(_raw_data+6)(GP)
SH	R2, Offset(_temp_raw+0)(GP)
;MPU_IMU_PIC32_v001.c,96 :: 		temp = (float)temp_raw / 340.0;
LH	R4, Offset(_raw_data+6)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R6, 17322
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,99 :: 		gyro_x_temp = raw_data[4];
LHU	R2, Offset(_raw_data+8)(GP)
SH	R2, Offset(_gyro_x_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,100 :: 		gyro_x = (float)gyro_x_temp / 131.0;
LH	R4, Offset(_raw_data+8)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R6, 17155
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_gyro_x+0)(GP)
;MPU_IMU_PIC32_v001.c,101 :: 		gyro_y_temp = raw_data[5];
LHU	R2, Offset(_raw_data+10)(GP)
SH	R2, Offset(_gyro_y_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,102 :: 		gyro_y = (float)gyro_y_temp / 131.0;
LH	R4, Offset(_raw_data+10)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R6, 17155
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_gyro_y+0)(GP)
;MPU_IMU_PIC32_v001.c,103 :: 		gyro_z_temp = raw_data[6];
LHU	R2, Offset(_raw_data+12)(GP)
SH	R2, Offset(_gyro_z_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,104 :: 		gyro_z = (float)gyro_z_temp / 131.0;
LH	R4, Offset(_raw_data+12)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R6, 17155
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_gyro_z+0)(GP)
;MPU_IMU_PIC32_v001.c,105 :: 		}
L_end_Extract_Readings:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _Extract_Readings
_Set_Offset:
;MPU_IMU_PIC32_v001.c,108 :: 		void Set_Offset() {
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;MPU_IMU_PIC32_v001.c,110 :: 		accel_x += Accelx_offset;
LW	R6, Offset(_accel_x+0)(GP)
LUI	R4, 48527
ORI	R4, R4, 23593
JAL	__Add_FP+0
NOP	
SW	R2, Offset(_accel_x+0)(GP)
;MPU_IMU_PIC32_v001.c,111 :: 		accel_y += Accely_offset;
LW	R6, Offset(_accel_y+0)(GP)
LUI	R4, 15523
ORI	R4, R4, 55050
JAL	__Add_FP+0
NOP	
SW	R2, Offset(_accel_y+0)(GP)
;MPU_IMU_PIC32_v001.c,112 :: 		accel_z += Accelz_offset;
LW	R6, Offset(_accel_z+0)(GP)
LUI	R4, 15948
ORI	R4, R4, 52429
JAL	__Add_FP+0
NOP	
SW	R2, Offset(_accel_z+0)(GP)
;MPU_IMU_PIC32_v001.c,115 :: 		temp += Temp_offset;
LW	R6, Offset(_temp+0)(GP)
LUI	R4, 16914
ORI	R4, R4, 7864
JAL	__Add_FP+0
NOP	
SW	R2, Offset(_temp+0)(GP)
;MPU_IMU_PIC32_v001.c,118 :: 		gyro_x += Gyrox_offset;
LW	R6, Offset(_gyro_x+0)(GP)
LUI	R4, 16467
ORI	R4, R4, 13107
JAL	__Add_FP+0
NOP	
SW	R2, Offset(_gyro_x+0)(GP)
;MPU_IMU_PIC32_v001.c,119 :: 		gyro_y += Gyroy_offset;
;MPU_IMU_PIC32_v001.c,120 :: 		gyro_z += Gyroz_offset;
;MPU_IMU_PIC32_v001.c,121 :: 		}
L_end_Set_Offset:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _Set_Offset
_Convert_Readings_To_String:
;MPU_IMU_PIC32_v001.c,124 :: 		void Convert_Readings_To_String() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;MPU_IMU_PIC32_v001.c,126 :: 		FloatToStr(accel_x, accel_x_out);
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R26, #hi_addr(_accel_x_out+0)
ORI	R26, R26, #lo_addr(_accel_x_out+0)
LW	R25, Offset(_accel_x+0)(GP)
JAL	_FloatToStr+0
NOP	
;MPU_IMU_PIC32_v001.c,127 :: 		FloatToStr(accel_y, accel_y_out);
LUI	R26, #hi_addr(_accel_y_out+0)
ORI	R26, R26, #lo_addr(_accel_y_out+0)
LW	R25, Offset(_accel_y+0)(GP)
JAL	_FloatToStr+0
NOP	
;MPU_IMU_PIC32_v001.c,128 :: 		FloatToStr(accel_z, accel_z_out);
LUI	R26, #hi_addr(_accel_z_out+0)
ORI	R26, R26, #lo_addr(_accel_z_out+0)
LW	R25, Offset(_accel_z+0)(GP)
JAL	_FloatToStr+0
NOP	
;MPU_IMU_PIC32_v001.c,131 :: 		FloatToStr(temp, temp_out);
LUI	R26, #hi_addr(_temp_out+0)
ORI	R26, R26, #lo_addr(_temp_out+0)
LW	R25, Offset(_temp+0)(GP)
JAL	_FloatToStr+0
NOP	
;MPU_IMU_PIC32_v001.c,134 :: 		FloatToStr(gyro_x, gyro_x_out);
LUI	R26, #hi_addr(_gyro_x_out+0)
ORI	R26, R26, #lo_addr(_gyro_x_out+0)
LW	R25, Offset(_gyro_x+0)(GP)
JAL	_FloatToStr+0
NOP	
;MPU_IMU_PIC32_v001.c,135 :: 		FloatToStr(gyro_y, gyro_y_out);
LUI	R26, #hi_addr(_gyro_y_out+0)
ORI	R26, R26, #lo_addr(_gyro_y_out+0)
LW	R25, Offset(_gyro_y+0)(GP)
JAL	_FloatToStr+0
NOP	
;MPU_IMU_PIC32_v001.c,136 :: 		FloatToStr(gyro_z, gyro_z_out);
LUI	R26, #hi_addr(_gyro_z_out+0)
ORI	R26, R26, #lo_addr(_gyro_z_out+0)
LW	R25, Offset(_gyro_z+0)(GP)
JAL	_FloatToStr+0
NOP	
;MPU_IMU_PIC32_v001.c,137 :: 		}
L_end_Convert_Readings_To_String:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Convert_Readings_To_String
_Print_Readings:
;MPU_IMU_PIC32_v001.c,140 :: 		void Print_Readings() {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;MPU_IMU_PIC32_v001.c,142 :: 		UART2_Write_Text("Gyro readings :");
SW	R25, 4(SP)
LUI	R25, #hi_addr(?lstr1_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr1_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,143 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,144 :: 		UART2_Write_Text("x = ");
LUI	R25, #hi_addr(?lstr2_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr2_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,145 :: 		UART2_Write_Text(gyro_x_out);
LUI	R25, #hi_addr(_gyro_x_out+0)
ORI	R25, R25, #lo_addr(_gyro_x_out+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,146 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,147 :: 		UART2_Write_Text("y = ");
LUI	R25, #hi_addr(?lstr3_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr3_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,148 :: 		UART2_Write_Text(gyro_y_out);
LUI	R25, #hi_addr(_gyro_y_out+0)
ORI	R25, R25, #lo_addr(_gyro_y_out+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,149 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,150 :: 		UART2_Write_Text("z = ");
LUI	R25, #hi_addr(?lstr4_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr4_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,151 :: 		UART2_Write_Text(gyro_z_out);
LUI	R25, #hi_addr(_gyro_z_out+0)
ORI	R25, R25, #lo_addr(_gyro_z_out+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,152 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,153 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,154 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,157 :: 		UART2_Write_Text("Accel readings :");
LUI	R25, #hi_addr(?lstr5_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr5_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,158 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,159 :: 		UART2_Write_Text("x = ");
LUI	R25, #hi_addr(?lstr6_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr6_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,160 :: 		UART2_Write_Text(accel_x_out);
LUI	R25, #hi_addr(_accel_x_out+0)
ORI	R25, R25, #lo_addr(_accel_x_out+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,161 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,162 :: 		UART2_Write_Text("y = ");
LUI	R25, #hi_addr(?lstr7_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr7_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,163 :: 		UART2_Write_Text(accel_y_out);
LUI	R25, #hi_addr(_accel_y_out+0)
ORI	R25, R25, #lo_addr(_accel_y_out+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,164 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,165 :: 		UART2_Write_Text("z = ");
LUI	R25, #hi_addr(?lstr8_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr8_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,166 :: 		UART2_Write_Text(accel_z_out);
LUI	R25, #hi_addr(_accel_z_out+0)
ORI	R25, R25, #lo_addr(_accel_z_out+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,167 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,168 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,169 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,172 :: 		UART2_Write_Text("Temperature readings (Celsius) = ");
LUI	R25, #hi_addr(?lstr9_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr9_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,173 :: 		UART2_Write_Text(temp_out);
LUI	R25, #hi_addr(_temp_out+0)
ORI	R25, R25, #lo_addr(_temp_out+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,174 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,175 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,176 :: 		UART2_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;MPU_IMU_PIC32_v001.c,177 :: 		Delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_Print_Readings16:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Print_Readings16
NOP	
;MPU_IMU_PIC32_v001.c,178 :: 		}
L_end_Print_Readings:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Print_Readings
_main:
;MPU_IMU_PIC32_v001.c,180 :: 		void main() {
;MPU_IMU_PIC32_v001.c,181 :: 		AD1PCFG = 0xFFFF;                          // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;MPU_IMU_PIC32_v001.c,184 :: 		TRISC = 0;
SW	R0, Offset(TRISC+0)(GP)
;MPU_IMU_PIC32_v001.c,185 :: 		TRISE = 0;
SW	R0, Offset(TRISE+0)(GP)
;MPU_IMU_PIC32_v001.c,188 :: 		INT_Direction = 1;
LUI	R2, BitMask(TRISE0_bit+0)
ORI	R2, R2, BitMask(TRISE0_bit+0)
_SX	8, Offset(TRISE0_bit+8), 4
;MPU_IMU_PIC32_v001.c,191 :: 		I2C2_Init(400000);
LUI	R25, 6
ORI	R25, R25, 6784
JAL	_I2C2_Init+0
NOP	
;MPU_IMU_PIC32_v001.c,192 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_main18:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main18
NOP	
;MPU_IMU_PIC32_v001.c,195 :: 		UART2_Init(115200);
LUI	R25, 1
ORI	R25, R25, 49664
JAL	_UART2_Init+0
NOP	
;MPU_IMU_PIC32_v001.c,196 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_main20:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main20
NOP	
;MPU_IMU_PIC32_v001.c,197 :: 		UART2_write_text("uController started\x0D");
LUI	R25, #hi_addr(?lstr10_MPU_IMU_PIC32_v001+0)
ORI	R25, R25, #lo_addr(?lstr10_MPU_IMU_PIC32_v001+0)
JAL	_UART2_Write_Text+0
NOP	
;MPU_IMU_PIC32_v001.c,200 :: 		Init_MPU();                    // Initialize MPU
JAL	_Init_MPU+0
NOP	
;MPU_IMU_PIC32_v001.c,202 :: 		while(1) {
L_main22:
;MPU_IMU_PIC32_v001.c,203 :: 		while(INT != 1)              // Wait until INT line becomes 1
L_main24:
_LX	, 4
EXT	R2, R2, BitPos(RE8_bit+0), 1
BEQ	R2, 1, L__main32
NOP	
J	L_main25
NOP	
L__main32:
;MPU_IMU_PIC32_v001.c,204 :: 		;
J	L_main24
NOP	
L_main25:
;MPU_IMU_PIC32_v001.c,205 :: 		MPU_I2C_Read_Int(mpu_I2C_ADDR, mpu_rm_ACCEL_XOUT_H, 7, &raw_data);   // Read data from MPU
LUI	R28, #hi_addr(_raw_data+0)
ORI	R28, R28, #lo_addr(_raw_data+0)
ORI	R27, R0, 7
ORI	R26, R0, 59
ORI	R25, R0, 210
JAL	_MPU_I2C_Read_Int+0
NOP	
;MPU_IMU_PIC32_v001.c,206 :: 		Extract_Readings();                                                  // Extract data from the readings
JAL	_Extract_Readings+0
NOP	
;MPU_IMU_PIC32_v001.c,207 :: 		Set_Offset();                                                        // Set offset
JAL	_Set_Offset+0
NOP	
;MPU_IMU_PIC32_v001.c,208 :: 		Convert_Readings_To_String();                                        // Convert readings to strings
JAL	_Convert_Readings_To_String+0
NOP	
;MPU_IMU_PIC32_v001.c,209 :: 		Print_Readings();                                                    // Print readings on UART
JAL	_Print_Readings+0
NOP	
;MPU_IMU_PIC32_v001.c,210 :: 		}
J	L_main22
NOP	
;MPU_IMU_PIC32_v001.c,211 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
